services:
    Claroline\DropZoneBundle\Listener\Resource\DropzoneListener:
        arguments:
            - '%claroline.param.files_directory%'
            - '@security.token_storage'
            - '@Claroline\DropZoneBundle\Manager\DropzoneManager'
        tags:
            - { name: kernel.event_listener, event: resource.claroline_dropzone.load, method: onLoad }
            - { name: kernel.event_listener, event: resource.claroline_dropzone.copy, method: onCopy }
            - { name: kernel.event_listener, event: resource.claroline_dropzone.delete, method: onDelete }

    Claroline\DropZoneBundle\Listener\NotificationUserParametersListener:
        arguments:
            - '@Claroline\DropZoneBundle\Manager\DropzoneManager'
        tags:
            - { name: kernel.event_listener, event: claroline_notification_user_parameters_event, method: onGetTypesForParameters }

    Claroline\DropZoneBundle\Listener\Log\DisplayLogListener:
        calls:
            - [ setContainer, [ "@service_container" ] ]
        tags:
            - { name: kernel.event_listener, event: create_log_details_resource-claroline_dropzone-dropzone_configure,              method: onCreateLogDetails }
            - { name: kernel.event_listener, event: create_log_details_resource-claroline_dropzone-criterion_create,                method: onCreateLogDetails }
            - { name: kernel.event_listener, event: create_log_details_resource-claroline_dropzone-criterion_update,                method: onCreateLogDetails }
            - { name: kernel.event_listener, event: create_log_details_resource-claroline_dropzone-criterion_delete,                method: onCreateLogDetails }
            - { name: kernel.event_listener, event: create_log_details_resource-claroline_dropzone-drop_start,                      method: onCreateLogDetails }
            - { name: kernel.event_listener, event: create_log_details_resource-claroline_dropzone-drop_end,                        method: onCreateLogDetails }
            - { name: kernel.event_listener, event: create_log_details_resource-claroline_dropzone-document_create,                 method: onCreateLogDetails }
            - { name: kernel.event_listener, event: create_log_details_resource-claroline_dropzone-document_delete,                 method: onCreateLogDetails }
            - { name: kernel.event_listener, event: create_log_details_resource-claroline_dropzone-document_open,                   method: onCreateLogDetails }
            - { name: kernel.event_listener, event: create_log_details_resource-claroline_dropzone-correction_start,                method: onCreateLogDetails }
            - { name: kernel.event_listener, event: create_log_details_resource-claroline_dropzone-correction_end,                  method: onCreateLogDetails }
            - { name: kernel.event_listener, event: create_log_details_resource-claroline_dropzone-correction_update,               method: onCreateLogDetails }
            - { name: kernel.event_listener, event: create_log_details_resource-claroline_dropzone-correction_delete,               method: onCreateLogDetails }
            - { name: kernel.event_listener, event: create_log_details_resource-claroline_dropzone-correction_validation_change,    method: onCreateLogDetails }
            - { name: kernel.event_listener, event: create_log_details_resource-claroline_dropzone-drop_evaluate,                   method: onCreateLogDetails }
            - { name: kernel.event_listener, event: create_log_details_resource-claroline_dropzone-drop_report,                     method: onCreateLogDetails }
            - { name: kernel.event_listener, event: create_log_details_resource-claroline_dropzone-correction_report,               method: onCreateLogDetails }
            - { name: kernel.event_listener, event: create_log_details_resource-claroline_dropzone-drop_grade_available,            method: onCreateLogDetails }
            - { name: kernel.event_listener, event: create_log_details_resource-claroline_dropzone-dropzone_manual_state_changed,   method: onCreateLogDetails }

    Claroline\DropZoneBundle\Listener\NotificationListener:
        calls:
            - [ setContainer, [ "@service_container" ] ]
        tags:
            - { name: kernel.event_listener, event: create_notification_item_resource-claroline_dropzone-drop_report,                      method: onCreateNotificationItem }
            - { name: kernel.event_listener, event: create_notification_item_resource-claroline_dropzone-correction_report,                method: onCreateNotificationItem }
            - { name: kernel.event_listener, event: create_notification_item_resource-claroline_dropzone-drop_grade_available,             method: onCreateNotificationItem }
            - { name: kernel.event_listener, event: create_notification_item_resource-claroline_dropzone-dropzone_manual_state_changed,    method: onCreateNotificationItem }
            - { name: kernel.event_listener, event: create_notification_item_resource-claroline_dropzone-drop_end,                         method: onCreateNotificationItem }
